<?php 
	use Elementor\Icons_Manager;
		
	$has_icon =! empty($item['selected_icon']['value']);
	$style = $settings['style'];
?>

<div class="counter-item elementor-repeater-item-<?php echo $item['_id'] ?><?php echo ($item['active']=='yes' ? ' active' : '') ?>">
	<?php 
		if($style == 'style-1'){ 
			echo '<div class="counter-one__single milestone-block">';
				if($has_icon){ 
					echo '<div class="counter-one__icon">';
						Icons_Manager::render_icon($item['selected_icon'], [ 'aria-hidden' => 'true' ]);
					echo '</div>';
				}
			
				echo '<div class="counter-one__content">';
					echo '<div class="counter-one__number-inner">';
                  echo !empty($item['prefix']) ? '<span class="symbol before">' . $item['prefix'] . '</span>' : ''; 
                  	echo '<span class="counter-one__number milestone-number">' . esc_attr($item['number']) . '</span>';
                  echo !empty($item['suffix']) ? '<span class="symbol after">' . $item['suffix'] . '</span>' : '';
               echo '</div>';

					if($item['title']){ 
						echo '<h3 class="counter-one__title">' . $item['title'] . '</h3>';
					}
				echo '</div>';
			echo '</div>';	
		}
	?>

	<?php 
		if($style == 'style-2'){ 
			echo '<div class="counter-two__single milestone-block">';
				echo '<div class="counter-two__wrap">';
					if($has_icon){ 
						echo '<div class="counter-two__icon">';
							Icons_Manager::render_icon($item['selected_icon'], [ 'aria-hidden' => 'true' ]);
						echo '</div>';
					}
				
					echo '<div class="counter-two__content">';
						echo '<div class="counter-two__number-inner">';
		               echo !empty($item['prefix']) ? '<span class="symbol before">' . $item['prefix'] . '</span>' : ''; 
		               	echo '<span class="counter-two__number milestone-number">' . esc_attr($item['number']) . '</span>';
		               echo !empty($item['suffix']) ? '<span class="symbol after">' . $item['suffix'] . '</span>' : '';
		            echo '</div>';

						if($item['title']){ 
							echo '<h3 class="counter-two__title">' . $item['title'] . '</h3>';
						}
					echo '</div>';
				echo '</div>';
			echo '</div>';	
		}
	?>
</div>