<?php
Redux::setSection( $opt_name, array(
	'title'   => esc_html__( 'Apartment Options', 'aports' ),
	'icon'    => 'el-icon-website',
	'fields'  => array(
		array(
		  	'id'  => 'slug_apartment_post_type',
		  	'type'  => 'info',
		  	'raw' => '<h3 style="margin: 0;">' . esc_html__( 'Slug url apartment post type', 'aports' ) . '</h3>'
		),
		array(
		  	'id' => 'slug_apartment',
		  	'type' => 'text',
		  	'title' => esc_html__('Slug Apartment', 'aports'),
		  	'default' => 'apartment'
		),
		array(
		  	'id'  => 'apartment_archive_info',
		  	'type'  => 'info',
		  	'icon'  => true,
		  	'raw' => '<h3 style="margin: 0;">' . esc_html__( 'Archive/Listing', 'aports' ) . '</h3>',
		),
		array(
		  	'id' => 'apartment_columns_lg',
		  	'type' => 'select',
		  	'title' => esc_html__('Display Columns for Large Screen', 'aports'),
		  	'options' => array(
			  	'1'      => '1',
			  	'2'      => '2',
			  	'3'      => '3',
			  	'4'      => '4',
			  	'5'      => '5',
			  	'6'      => '6'
		  	),
		  	'default' => '3'
		),
		array(
		  'id' => 'apartment_columns_md',
		  'type' => 'select',
		  'title' => esc_html__('Display Columns for Medium Screen', 'aports'),
		  'options' => array(
			  	'1'      => '1',
			  	'2'      => '2',
			  	'3'      => '3',
			  	'4'      => '4',
			  	'5'      => '5',
			  	'6'      => '6'
		  ),
		  'default' => '2'
		),
		array(
		  	'id' => 'apartment_columns_sm',
		  	'type' => 'select',
		  	'title' => esc_html__('Display Columns for Small Screen', 'aports'),
		  	'options' => array(
			  	'1'      => '1',
			  	'2'      => '2',
			  	'3'      => '3',
			  	'4'      => '4',
			  	'5'      => '5',
			  	'6'      => '6'
		  	),
		  'default' => '2'
		),
		array(
		  	'id' => 'apartment_columns_xs',
		  	'type' => 'select',
		  	'title' => esc_html__('Display Columns for Extra Small Screen', 'aports'),
		  	'options' => array(
			  	'1'      => '1',
			  	'2'      => '2',
			  	'3'      => '3',
			  	'4'      => '4',
			  	'5'      => '5',
			  	'6'      => '6'
		  	),
		  'default' => '1'
		),
	)
));