<?php
   add_filter( 'elementor/icons_manager/additional_tabs', 'aports_custom_icons_filters' , 999999, 1 );
   function aports_custom_icons_filters( $tabs = array() ) {
      $newicons = [
         "aicon-magnifying-glass",
         "aicon-right-arrow",
         "aicon-left-arrow",
         "aicon-up-arrow",
         "aicon-down-arrow",
         "aicon-size",
         "aicon-hotel-bed",
         "aicon-parking",
         "aicon-apartments",
         "aicon-residential",
         "aicon-world",
         "aicon-sustainable",
         "aicon-living-room",
         "aicon-home-automation",
         "aicon-kitchen",
         "aicon-bedroom",
         "aicon-chair",
         "aicon-public-toilet",
         "aicon-area",
         "aicon-parking-1",
         "aicon-parking-lot",
         "aicon-condominium",
         "aicon-bedroom-1",
         "aicon-quotes",
         "aicon-town",
         "aicon-location",
         "aicon-telephone",
         "aicon-email",
         "aicon-pin",
         "micon__folder",
         "micon__insurance",
         "micon__car",
         "micon__cardiogram",
         "micon__magnifying-glass",
         "micon__calling",
         "micon__healthy-life",
         "micon__car-1",
         "micon__home-insurance",
         "micon__save-money",
         "micon__online-registration",
         "micon__guarantee",
         "micon__medal",
         "micon__home1",
         "micon__cross",
         "micon__suitcase",
         "micon__fire1",
         "micon__wedding-rings",
         "micon__quote",
         "micon__group",
         "micon__life-insurance",
         "micon__success",
         "micon__right-arrow2",
         "micon__easy",
         "micon__controls",
         "micon__bonus",
         "micon__right-arrow-1",
         "micon__employees",
         "micon__self-service",
         "micon__meeting1",
         "micon__agreement1",
         "micon__family",
         "micon__phone-ringing",
         "micon__team",
         "micon__art",
         "micon__pdf",
         "micon__message",
         "micon__phone-call",
         "micon__placeholder",
         "micon__family-1",
         "micon__right-arrow",
         "micon__right-arrow1",
         "micon__up-arrow",
         "micon__down-arrow",
         "micon__cashback",
         "micon__insurance1",
         "micon__house",
         "micon__drive",
         "micon__home",
         "micon__heart-beat",
         "micon__fire",
         "micon__briefcase",
         "micon__ring",
         "micon__plane",
         "micon__easy-to-use",
         "micon__policy",
         "micon__contract",
         "micon__fund",
         "micon__telephone",
         "micon__email",
         "micon__telephone-call",
         "micon__pin",
         "micon__cash-flow",
         "micon__profits",
         "micon__insurance-2",
         "micon__select",
         "micon__meeting",
         "micon__agreement",
         "micon__insurance-agent",
         "micon__tick",
         "micon__money-back",
         "micon__computer",
         "micon__chat",
         "micon__file",
         "micon__plus",
         "micon__shield"
      ];

      $icons['gva_custom_icon'] = array(
           'name'          => 'aports-icons-theme',
           'label'         => esc_html__( 'Icons Theme', 'aports-themer' ),
           'labelIcon'     => 'fas fa-user',
           'prefix'        => '',
           'displayPrefix' => '',
           'icons'         => $newicons,
           'url'          => GAVIAS_APORTS_PLUGIN_URL . 'assets/icons/style.css',
           'ver'           => '1.0',
       );

      return array_merge( $tabs, $icons );
   }

   add_action( 'wp_print_footer_scripts', 'aports_insert_icons_footer_css'  );
   function aports_insert_icons_footer_css() {
      echo '<link rel="stylesheet" type="text/css" href="' . GAVIAS_APORTS_PLUGIN_URL . 'assets/icons/style.css">';
   }