<?php 
   use Elementor\Icons_Manager;
   $_rand = wp_rand(6);
?>

<?php if($settings['style'] == 'style-1'){ ?>
   <div class="contact-support-one__single">
      <div class="contact-support-one__wrapper">
         <div class="contact-support-one__forms">
            
            <div class="align-left style-1 widget gsc-heading auto-responsive contact-support-one__heading">
               <div class="content-inner">
                  <?php 
                     if($settings['sub_title']){ 
                        echo '<div class="sub-title"><span class="tagline">' . esc_html($settings['sub_title']) . '</span></div>';
                     }
                     if($settings['title_text']){  
                        echo '<h2 class="title">';
                           echo '<span>' . esc_html($settings['title_text']) . '</span>';
                        echo '</h2>';
                     }
                  ?>
               </div>
            </div>
            <div class="contact-support-one__content">
               <?php 
                  echo do_shortcode('[contact-form-7 id="' . $settings['form_id'] . '" title="' . esc_attr($settings['title_text']) . '"]');
               ?>

               <div class="agent-one__single">
                  <h3 class="agent-one__title"><span><?php echo esc_html($settings['agent_title']) ?></span></h3>
                  <div class="agent-one__info">
                     <?php if( $settings['agent_image']['url'] ){ ?>
                        <div class="agent-one__image">
                           <img src="<?php echo esc_url($settings['agent_image']['url']) ?>" alt="<?php echo esc_attr($settings['agent_name']) ?>" />
                        </div>
                     <?php } ?>   
                     <div class="agent-one__right">
                        <div class="agent-one__name"><?php echo esc_html($settings['agent_name']) ?></div>
                        <div class="agent-one__desc"><?php echo esc_html($settings['agent_desc']) ?></div>
                        <div class="agent-one__social">
                           <?php 
                              if($settings['agent_phone']){ 
                                 echo '<a href="tel:' . esc_attr($settings['agent_phone']) . '"><i class="fa fa-phone"></i></a>';
                              }
                              if($settings['agent_email']){ 
                                 echo '<a href="mailto:' . esc_attr($settings['agent_email']) . '"><i class="fa fa-envelope"></i></a>';
                              }
                              $this->gva_render_link_html_2('<i class="fa fa-facebook"></i>', $settings['facebook']);
                              $this->gva_render_link_html_2('<i class="fa fa-twitter"></i>', $settings['twitter']);
                              $this->gva_render_link_html_2('<i class="fa fa-instagram"></i>', $settings['instagram']);
                              $this->gva_render_link_html_2('<i class="fa fa-pinterest"></i>', $settings['pinterest']);
                           ?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
         <?php 
            if( $settings['image']['url'] ){
               echo '<div class="contact-support-one__image">';
                  echo '<div class="contact-support-one__image-inner">';
                     echo '<img src="' . esc_url($settings['image']['url']) . '" alt="' . esc_attr($settings['title_text']) . '"/>';
                  echo '</div>';
               echo '</div>';
            }
         ?> 
      </div>   
   </div>
<?php } ?>